
QGIS Application - Bug report #12579

Qgis crashes when trying to use geoprocessing tools

2015-04-15 02:56 AM - Gijs Clements

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 20704

Description

I have qgis 2.8.1 installed on 2 laptops (win7 64bit) and a brand new desktop computer (also win7 64bit). On the two laptops it works

flawlessly. On the desktop pc however it doesn't. When I try to do some geoprocessing like spatial query or pointcounts I get an error

message and the program shuts down. This happens every time regardless the project or source data. The sad part is, the same started

happening on my old desktop computer (also win7 64bit) after I updated from qgis 1.8 tot 2.2 (new harddisc on my new computer so no

remnant of an old installation there). Since I try to minimize the installations of windows (and other software) on my desktop computers I

was wondering if the geoprocessing tools use anything outside of Qgis, probably embedded in windows, to work? Now this has been

going on for me for at least 6 months and I tried to find other bug reports regarding the same issue (admittedly since english is not my

main language I might have used the wrong keywords in my search). Today I got so sick and tired from switching from my desktop to my

laptop and vice versa a few times a day that I made a bug report here. when I get home from work I will upload a screenshot from the

errormessage.

the screenshot I uploaded is from a project where my laptops work fins and my desktops pc chrashes. The points are pointdata originally

from a CSV file but saved as shape. The raster is a vectorlayer and in this case I tried a count unique point in polygon algorithm.

History

#1 - 2015-04-15 03:15 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to 94

please:

    -  attach sample data

    -  try delete your .qgis2 (make a backup first): you will "lose" your plugins and other configs, but this will allow us to understand if there is something

wrong there.

#2 - 2015-04-15 10:26 AM - Gijs Clements

- File Vectorshape.zip added

- File Pointshape.zip added

- File Algorithm.PNG added

- File error.PNG added

Thanks for the fast reply!

Here are my data: the vectorshape and the pointshape. I did also attach 2 screenshots of the procedure and the errormessage. I can't attach the dumpfile
because it's over 5 mb (25mb). I did delete the .qgis2 folder under c:\\users\\user\\.qgis2 but somehow it kept my preferences did I do something wrong?

#3 - 2015-05-21 01:38 AM - Alexander Bruy

Not reproducible here with master and 2.8

#4 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#5 - 2015-06-07 04:47 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to up/downstream

closing for lack of feedback.

Files

screenshot.jpg 215 KB 2015-04-15 Gijs Clements

error.PNG 64.8 KB 2015-04-15 Gijs Clements

Algorithm.PNG 101 KB 2015-04-15 Gijs Clements

Vectorshape.zip 5.75 KB 2015-04-15 Gijs Clements

Pointshape.zip 52.3 KB 2015-04-15 Gijs Clements
